%add_findreq_skiplist %perl_vendor_privlib/B/Debugger.pm
# BEGIN SourceDeps(oneline):
BuildRequires: perl(B.pm) perl(B/Concise.pm) perl(B/Debug.pm) perl(B/Flags.pm) perl(B/Utils.pm) perl(Config.pm) perl(Devel/Hook.pm) perl(DynaLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(Opcode.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(blib.pm)
# END SourceDeps(oneline)
%define module_version 0.14
%define module_name B-Debugger
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.14
Release: alt1
Summary: optree debugger
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RU/RURBAN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module is a debugging replacement to the O manpage, the Perl Compiler frontend,
a source level debugger to step through a compiler.

It delays the start of the B compiler `compile' function from the CHECK block
to the INIT block, so that the Perl debugger can be started there.

Note that Od handles the given options correctly, but does not step through
the option handler. See the Od_o manpage to step-through the option handling part.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes Copying README
%perl_vendor_privlib/O*
%perl_vendor_privlib/B*

%changelog
* Fri Sep 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- initial import by package builder

